package com.crm.rely.backend.core.dto.ib.trade;

import lombok.Data;

/**
 * 代理品种分类统计报表
 *
 * @author y
 * @create 2022/2/9
 */
@Data
public class TradeSymbolCategorySumDto {

    private Float fxVolume;

    private Float cfdVolume;

    private Float indexVolume;

    private Float metalVolume;

    private Float profit;

    private Float totalProfit;

    public static TradeSymbolCategorySumDto getInstance(){
        TradeSymbolCategorySumDto dto = new TradeSymbolCategorySumDto();
        dto.setFxVolume(0F);
        dto.setCfdVolume(0F);
        dto.setProfit(0F);
        dto.setIndexVolume(0F);
        dto.setMetalVolume(0F);
        dto.setTotalProfit(0F);
        return dto;
    }

}
